#!/bin/bash

tmpl_context=${1:-report_defaults.json}

test ! -x "$(which j2)" && { >&2 echo "Error: j2 executable not found (install j2cli first)"; exit 1; }

for tmpl_path in templates/*.sql.j2
do
    tmpl_file=${tmpl_path##*/}
    out_file=${tmpl_file%.*}
    j2 -f json "$tmpl_path" "$tmpl_context" > "$out_file"
done
