/*
 * Copyright (C) 2020  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef RUN_REPORT_UNWRAPPERS_HH_B38A7003EFBD21C2AF9AA9A4290EEDE8//date "+%s.%N"|md5sum|tr "[a-f]" "[A-F]"
#define RUN_REPORT_UNWRAPPERS_HH_B38A7003EFBD21C2AF9AA9A4290EEDE8

#include "src/impl/lib/run_report.hh"

#include "fred_api/dbreport/service_report_user_grpc.pb.h"

namespace Fred {
namespace DbReport {
namespace Iface {
namespace Tools {

void unwrap(const Api::RunReportRequest& src, Impl::Lib::RunReportRequest& dst);

}//namespace Fred::DbReport::Iface::Tools
}//namespace Fred::DbReport::Iface
}//namespace Fred::DbReport
}//namespace Fred

#endif//RUN_REPORT_UNWRAPPERS_HH_B38A7003EFBD21C2AF9AA9A4290EEDE8
