/*
 * Copyright (C) 2020  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef MANAGE_REPORT_REPLY_HH_D68C0CE649B6D40304780AAF4E38B8A6//date "+%s.%N"|md5sum|tr "[a-f]" "[A-F]"
#define MANAGE_REPORT_REPLY_HH_D68C0CE649B6D40304780AAF4E38B8A6

#include "src/impl/common_types.hh"

#include <vector>

namespace Fred {
namespace DbReport {
namespace Impl {
namespace Lib {

struct ManageReportsReply
{
    struct Data
    {
        std::vector<ReportInfo> created; // list of newly created reports
        std::vector<ReportName> deleted; // list of deleted reports
    };
    Data data;
};

}//namespace Fred::DbReport::Impl::Lib
}//namespace Fred::DbReport::Impl
}//namespace Fred::DbReport
}//namespace Fred

#endif//MANAGE_REPORT_REPLY_HH_D68C0CE649B6D40304780AAF4E38B8A6
