/*
 * Copyright (C) 2020-2021  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef MANAGE_REPORTS_HH_E31885D73801284655199E82DCB46015//date "+%s.%N"|md5sum|tr "[a-f]" "[A-F]"
#define MANAGE_REPORTS_HH_E31885D73801284655199E82DCB46015

#include "src/impl/lib/manage_reports_reply.hh"
#include "src/impl/lib/manage_reports_request.hh"

namespace Fred {
namespace DbReport {
namespace Impl {

struct RaceConditionDetected : std::exception
{
};

struct ManageReportsRequestSqlError : std::exception
{
};

struct NotSqlCommand : ManageReportsRequestSqlError
{
};

Lib::ManageReportsReply manage_reports(const Lib::ManageReportsRequest& request);

}//namespace Fred::DbReport::Impl
}//namespace Fred::DbReport
}//namespace Fred

#endif//MANAGE_REPORTS_HH_E31885D73801284655199E82DCB46015
