/*
 * Copyright (C) 2020  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef RUN_REPORT_HH_DC066726466FA1062DC5A97608261EEF//date "+%s.%N"|md5sum|tr "[a-f]" "[A-F]"
#define RUN_REPORT_HH_DC066726466FA1062DC5A97608261EEF

#include "src/impl/lib/run_report_reply.hh"
#include "src/impl/lib/run_report_request.hh"

#include <vector>

namespace Fred {
namespace DbReport {
namespace Impl {

Lib::RunReportReply run_report(const Lib::RunReportRequest& request);

}//namespace Fred::DbReport::Impl
}//namespace Fred::DbReport
}//namespace Fred

#endif//RUN_REPORT_HH_DC066726466FA1062DC5A97608261EEF
