/*
 * Copyright (C) 2020-2021  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef STRONG_TYPE_HH_A059FD657160149755C2B1A40E18F51C//date "+%s.%N"|md5sum|tr "[a-f]" "[A-F]"
#define STRONG_TYPE_HH_A059FD657160149755C2B1A40E18F51C

#include "libstrong/type.hh"

namespace Fred {
namespace DbReport {
namespace Impl {

template <typename Type, typename Tag, template <typename> class ...Skills>
using StrongType = LibStrong::TypeWithSkills<Type, Tag, Skills...>;

template <typename T>
using Optional = LibStrong::Optional<T>;

namespace Skill = LibStrong::Skill;

}//namespace Fred::DbReport::Impl
}//namespace Fred::DbReport
}//namespace Fred

#endif//STRONG_TYPE_HH_A059FD657160149755C2B1A40E18F51C
