/*
 * Copyright (C) 2020  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef REPORT_MANAGER_SERVICE_HH_33EC28812F7FD2E3EC1FC4701D12ECAE//date "+%s.%N"|md5sum|tr "[a-f]" "[A-F]"
#define REPORT_MANAGER_SERVICE_HH_33EC28812F7FD2E3EC1FC4701D12ECAE

#include "fred_api/dbreport/service_report_manager_grpc.grpc.pb.h"

namespace Fred {
namespace DbReport {
namespace Iface {

class ReportManagerService final : public Api::ReportManager::Service
{
private:
    grpc::Status manage_reports(
            grpc::ServerContext*,
            const Api::ManageReportsRequest* api_request,
            Api::ManageReportsReply* reply) override;
};

}//namespace Fred::DbReport::Iface
}//namespace Fred::DbReport
}//namespace Fred

#endif//REPORT_MANAGER_SERVICE_HH_33EC28812F7FD2E3EC1FC4701D12ECAE
